hsm_session_t Struct Reference

`#include <libhsm.h>`

## Data Fields

hsm_module_t *unsigned long | session

## Detailed Description

HSM Session

Definition at line 96 of file libhsm.h.

## Field Documentation

## session

hsm_module_t* unsigned long hsm_session_t::session

Definition at line 98 of file libhsm.h.

Referenced by hsm_check_context(), hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_print_session(), hsm_random_buffer(), and hsm_remove_key().

The documentation for this struct was generated from the following file:

- src/lib/libhsm.h